Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.group.model
Interface VGroupPackage.Literals

Enclosing interface:
  VGroupPackage

    public static interface VGroupPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `GROUP` The meta object literal for the '`Group`' class.
`static org.eclipse.emf.ecore.EAttribute` | `GROUP__COLLAPSED` The meta object literal for the 'Collapsed' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `GROUP__GROUP_TYPE` The meta object literal for the 'Group Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `GROUP__LABEL_ALIGNMENT` The meta object literal for the 'Label Alignment' attribute feature.
`static org.eclipse.emf.ecore.EEnum` | `GROUP_LABEL_ALIGNMENT` The meta object literal for the '`Label Alignment`' enum.
`static org.eclipse.emf.ecore.EEnum` | `GROUP_TYPE` The meta object literal for the '`Type`' enum.

Field Detail

### GROUP

    static final org.eclipse.emf.ecore.EClass GROUP

  The meta object literal for the '`Group`' class.

  See Also:
    `VGroupImpl`, `VGroupPackageImpl.getGroup()`

### GROUP__GROUP_TYPE

    static final org.eclipse.emf.ecore.EAttribute GROUP__GROUP_TYPE

  The meta object literal for the 'Group Type' attribute feature.

  Since:
    1.4

### GROUP__LABEL_ALIGNMENT

    static final org.eclipse.emf.ecore.EAttribute GROUP__LABEL_ALIGNMENT

  The meta object literal for the 'Label Alignment' attribute feature.

  Since:
    1.3

### GROUP__COLLAPSED

    static final org.eclipse.emf.ecore.EAttribute GROUP__COLLAPSED

  The meta object literal for the 'Collapsed' attribute feature.

  Since:
    1.4

### GROUP_TYPE

    static final org.eclipse.emf.ecore.EEnum GROUP_TYPE

  The meta object literal for the '`Type`' enum.

  Since:
    1.4
  See Also:
    `GroupType`, `VGroupPackageImpl.getGroupType()`

### GROUP_LABEL_ALIGNMENT

    static final org.eclipse.emf.ecore.EEnum GROUP_LABEL_ALIGNMENT

  The meta object literal for the '`Label Alignment`' enum.

  Since:
    1.3
  See Also:
    `GroupLabelAlignment`, `VGroupPackageImpl.getGroupLabelAlignment()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.